Bug 151153 - Update of cad/linux-eagle5 to the most recent version
Summary: Update of cad/linux-eagle5 to the most recent version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-02 14:00 UTC by Thomas Zander
Modified: 2010-11-13 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (41.25 KB, patch)
2010-10-02 14:00 UTC, Thomas Zander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2010-10-02 14:00:15 UTC
The attached patch updates cad/linux-eagle5 to the most recent version.
Also some minor changes:
- Add conflicts for old eagle versions
- Typo fixes
- Enforce linux-2.6 ABI to be present as eagle 5 requires recent linux glibc


Additional request:
@committer: Please remove cad/linux-eagle and german/linux-eagle from the ports tree (I maintained these legacy versions.). The old versions seem to be neither supported by nor available from cadsoft anymore.

@maintainer: Mike, do you still want to maintain that port? If not, I am happy to take back maintainership.

Fix: Patch attached.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-10-02 14:00:20 UTC
Maintainer of cad/linux-eagle5,

Please note that PR ports/151153 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151153

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-10-02 14:00:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mike Durian 2010-10-04 15:43:40 UTC
Please commit this patch and assign maintainership to Thomas Zande.  =
I've been using Eagle under OS X recently and have been neglecting this =
port.  Thomas will be a better maintainer.

mike

On Oct 2, 2010, at 7:00 AM, Edwin Groothuis wrote:

> Maintainer of cad/linux-eagle5,
>=20
> Please note that PR ports/151153 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>   http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/151153
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>=20
> !DSPAM:1001,4ca7326e15578580814747!
Comment 4 dfilter service freebsd_committer 2010-11-13 16:46:42 UTC
stefan      2010-11-13 16:46:36 UTC

  FreeBSD ports repository

  Modified files:
    cad                  Makefile 
    german               Makefile 
    cad/linux-eagle5     Makefile distinfo pkg-message pkg-plist 
    cad/linux-eagle5/files pkg-deinstall.in 
  Removed files:
    cad/linux-eagle      Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    cad/linux-eagle/files eagle.sh 
    german/linux-eagle   Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Log:
  - Update cad/linux-eagle5 to 5.10 and transfer maintainership to submitter.
  - Remove cad/linux-eagle (submitter is maintainer).
  - Remove german/linux-eagle (submitter is maintainer).
  
  PR:             151153
  Submitted by:   Thomas Zander <thomas.e.zander@googlemail.com>
  Approved by:    Michael Durian <durian@shadetreesoftware.com> (old maintainer)
  
  Revision  Changes    Path
  1.127     +0 -1      ports/cad/Makefile
  1.22      +0 -57     ports/cad/linux-eagle/Makefile (dead)
  1.11      +0 -3      ports/cad/linux-eagle/distinfo (dead)
  1.2       +0 -7      ports/cad/linux-eagle/files/eagle.sh (dead)
  1.3       +0 -27     ports/cad/linux-eagle/pkg-descr (dead)
  1.2       +0 -6      ports/cad/linux-eagle/pkg-message (dead)
  1.11      +0 -831    ports/cad/linux-eagle/pkg-plist (dead)
  1.24      +24 -7     ports/cad/linux-eagle5/Makefile
  1.14      +2 -3      ports/cad/linux-eagle5/distinfo
  1.2       +3 -3      ports/cad/linux-eagle5/files/pkg-deinstall.in
  1.4       +0 -3      ports/cad/linux-eagle5/pkg-message
  1.13      +381 -356  ports/cad/linux-eagle5/pkg-plist
  1.79      +0 -1      ports/german/Makefile
  1.13      +0 -21     ports/german/linux-eagle/Makefile (dead)
  1.12      +0 -3      ports/german/linux-eagle/distinfo (dead)
  1.3       +0 -27     ports/german/linux-eagle/pkg-descr (dead)
  1.2       +0 -6      ports/german/linux-eagle/pkg-message (dead)
  1.11      +0 -833    ports/german/linux-eagle/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Stefan Walter freebsd_committer 2010-11-13 16:48:16 UTC
State Changed
From-To: feedback->closed

Update committed, maintainership transferred, cad/linux-eagle and 
german/linux-eagle removed.